Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/usr.sbin/postinstall populate autofs files



details:   https://anonhg.NetBSD.org/src/rev/bdb60cb45cdb
branches:  trunk
changeset: 744342:bdb60cb45cdb
user:      christos <christos%NetBSD.org@localhost>
date:      Thu Jan 30 01:39:40 2020 +0000

description:
populate autofs files

diffstat:

 usr.sbin/postinstall/postinstall.in |  36 +++++++++++++++++++++++++++++++++++-
 1 files changed, 35 insertions(+), 1 deletions(-)

diffs (52 lines):

diff -r 79acf1a98907 -r bdb60cb45cdb usr.sbin/postinstall/postinstall.in
--- a/usr.sbin/postinstall/postinstall.in       Thu Jan 30 00:43:58 2020 +0000
+++ b/usr.sbin/postinstall/postinstall.in       Thu Jan 30 01:39:40 2020 +0000
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# $NetBSD: postinstall.in,v 1.12 2019/12/29 22:19:13 tsutsui Exp $
+# $NetBSD: postinstall.in,v 1.13 2020/01/30 01:39:40 christos Exp $
 #
 # Copyright (c) 2002-2015 The NetBSD Foundation, Inc.
 # All rights reserved.
@@ -1024,6 +1024,40 @@
 }
 
 #
+#      autofs config files
+#
+additem autofsconfig "automounter configuration files"
+do_autofsconfig()
+{
+       [ -n "$1" ] || err 3 "USAGE: do_autofsconfig fix|check"
+       local autofs_files="
+include_ldap
+include_nis
+special_hosts
+special_media
+special_noauto
+special_null 
+"
+       op="$1"
+       failed=0
+       if [ "$op" = "fix" ]; then
+               mkdir -p "${DEST_DIR}/etc/autofs"
+       fi
+       failed=$(( ${failed} + $? ))
+       populate_dir "$op" false "${SRC_DIR}/etc" \
+           "${DEST_DIR}/etc" \
+           444 \
+           auto_master
+       failed=$(( ${failed} + $? ))
+       populate_dir "$op" false "${SRC_DIR}/etc/autofs" \
+           "${DEST_DIR}/etc/autofs" \
+           444 \
+           ${autofs_files}
+       return ${failed}
+}
+
+
+#
 #      X11 fontconfig
 #
 additem fontconfig "X11 font configuration is up to date"



Home | Main Index | Thread Index | Old Index